package com.helloandroid.sistemiembedded.helloandroid;

import android.content.Intent;
import android.net.Uri;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        TextView tv = (TextView) findViewById(R.id.helloTextView);
        tv.setText("Ciao Android!");

    }

    public void LoadIntent(View v){
        // Url della pagina da visitare
        Uri uri = Uri.parse("http://www.unict.it");
        // Creazione intent
        Intent browserIntent = new Intent(Intent.ACTION_VIEW, uri);
        // Avvio intent
        startActivity(browserIntent);
    }

    public void ChangeActivity(View v){
        Intent activityIntent =
                new Intent(this, SecondActivity.class);
        startActivity(activityIntent);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}

